<?php
namespace Teknisa\Model\Gestaopessoas\Repositories;

use HCM\Util\Repositories;

class GpeIntervaloshorario extends \Doctrine\ORM\EntityRepository {
    
    public function getPrimeiroIntervaloHorario($nrorg, $nrhordiam) {
        $db = \Setforms2\Shared\Registry::getEntityManagerConnection();
        $intervaloshorario = Repositories::GPE_INTERVALOSHORARIO;
        
        $params = array(
            'nrorg' => $nrorg,
            'nrhordiam' => $nrhordiam,
        );
        
        $sql = <<<SQL
SELECT intervalo
  FROM $intervaloshorario intervalo
 WHERE intervalo.nrorg = :nrorg
   AND intervalo.nrhordiam = :nrhordiam
   AND intervalo.nrseqintervhorario = (
    SELECT min(ih.nrseqintervhorario)
      FROM $intervaloshorario ih
     WHERE ih.nrorg = intervalo.nrorg
       AND ih.nrhordiam = intervalo.nrhordiam
   )
SQL;
       
        $result = $this->getEntityManager()->createQuery($sql)->execute($params);
        return $result[0] ?? null;
    }
    
    public function getUltimoIntervaloHorario($nrorg, $nrhordiam) {
        $db = \Setforms2\Shared\Registry::getEntityManagerConnection();
        $intervaloshorario = Repositories::GPE_INTERVALOSHORARIO;
        
        $params = array(
            'nrorg' => $nrorg,
            'nrhordiam' => $nrhordiam,
        );
        
        $sql = <<<SQL
SELECT intervalo
  FROM $intervaloshorario intervalo
 WHERE intervalo.nrorg = :nrorg
   AND intervalo.nrhordiam = :nrhordiam
   AND intervalo.nrseqintervhorario = (
    SELECT max(ih.nrseqintervhorario)
      FROM $intervaloshorario ih
     WHERE ih.nrorg = intervalo.nrorg
       AND ih.nrhordiam = intervalo.nrhordiam
   )
SQL;
       
        $result = $this->getEntityManager()->createQuery($sql)->execute($params);
        return $result[0] ?? null;
    }

    
}